/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#pragma once

#include "resource.h"
#include "mg/MGCL.h" // Just to get definition of enum VIEWMODE.

// CGLMeshDisplayDlg ダイアログ

class CGLMeshDisplayDlg : public CDialog
{
	DECLARE_DYNAMIC(CGLMeshDisplayDlg)

	CComboBox m_combo;

public:
	CGLMeshDisplayDlg(CWnd* pParent = NULL);
	virtual ~CGLMeshDisplayDlg();

// ダイアログ データ
	enum { IDD = IDD_MESH_DISPLAY };

	// 選択しているラジオボタン(表示モードを表す)の値を返す
	MGCL::VIEWMODE GetViewMode() const;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	virtual BOOL OnInitDialog();

	afx_msg void OnCbnSelchangeMeshDisplayCombo();
	DECLARE_MESSAGE_MAP()
};

